GCLOUD_COMPUTE_DISKS_ADD-LABELS(1)

NAME

gcloud compute disks add-labels - add labels to Google Compute Engine persistent disks

SYNOPSIS

gcloud compute disks add-labels DISK_NAME --labels=[KEY=VALUE,...] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute disks add-labels adds labels to a Google Compute Engine persistent disk. For example, running:
    $ gcloud compute disks add-labels example-disk --labels=k0=v0,k1=v1
will add key-value pairs k0=v0 and k1=v1 to 'example-disk'. Labels can be used to identify the disk and to filter them as in
    $ gcloud compute disks list --filter='labels.k1:value2'
To list existing labels
    $ gcloud compute disks describe example-disk \
        --format='default(labels)'

POSITIONAL ARGUMENTS

    DISK_NAME
        The name of the disk to operate on.

REQUIRED FLAGS

    --labels=[KEY=VALUE,...]
        A list of labels to add.

OPTIONAL FLAGS

    --zone=ZONE
        The zone of the disk to operate on. If not specified, you may be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.